libgirepository-1.0-1_1.46.0-3ubuntu1_amd64.deb


Advertisement

Description

libgirepository-1.0-1 - Library for handling GObject introspection data (runtime library)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libgirepository-1.0-1_1.46.0-3ubuntu1_amd64.deb
Package name libgirepository-1.0-1
Package version 1.46.0
Package release 3ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage https://wiki.gnome.org/GObjectIntrospection
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 86.19 KB
Installed size 254.00 KB
GObject Introspection is a project for providing machine readable
introspection data of the API of C libraries. This introspection
data can be used in several different use cases, for example
automatic code generation for bindings, API verification and documentation
generation.
GObject Introspection contains tools to generate and handle the
introspection data.
This package contains a C library for handling the introspection data.

Alternatives

Package Version Architecture Repository
libgirepository-1.0-1_1.46.0-3ubuntu1_i386.deb 1.46.0 i386 Ubuntu Main
libgirepository-1.0-1 - - -

Requires

Name Value
libc6 >= 2.14
libffi6 >= 3.0.4
libglib2.0-0 >= 2.45.3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgirepository-1.0-1_1.46.0-3ubuntu1_amd64.deb
Source Package gobject-introspection

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgirepository-1.0-1 deb package:
    # sudo apt-get install libgirepository-1.0-1

Files

Path
/usr/lib/x86_64-linux-gnu/libgirepository-1.0.so.1
/usr/lib/x86_64-linux-gnu/libgirepository-1.0.so.1.0.0
/usr/share/doc/libgirepository-1.0-1/AUTHORS
/usr/share/doc/libgirepository-1.0-1/CONTRIBUTORS
/usr/share/doc/libgirepository-1.0-1/NEWS.gz
/usr/share/doc/libgirepository-1.0-1/README
/usr/share/doc/libgirepository-1.0-1/TODO
/usr/share/doc/libgirepository-1.0-1/changelog.Debian.gz
/usr/share/doc/libgirepository-1.0-1/copyright

Changelog

2015-12-01 - Iain Lane <iain.lane@canonical.com>
gobject-introspection (1.46.0-3ubuntu1) xenial; urgency=medium
* Merge with Debian, remaining change-
+ re-added support for libraries with no GObject (lp: #1511047)
2015-12-01 - Iain Lane <laney@debian.org>
gobject-introspection (1.46.0-3) unstable; urgency=medium
* debian/tests/smoke: File 5.22 reports XML documents with the version
number - expect this, to fix autopkgtest failure.
2015-11-03 - Michael Biebl <biebl@debian.org>
gobject-introspection (1.46.0-2) unstable; urgency=medium
[ Laurent Bigonville ]
* Silent -Wimplicit-function-declaration warnings (Closes: #801905)
[ Michael Biebl ]
* Remove Breaks, Conflicts and Replaces for versions older than oldstable.
* Fix cleanup rule for list-missing to properly remove the unwanted libtool
.la and Python cache files. Those are installed into multiarch paths now.
2015-10-28 - Stephen M. Webb <stephen.webb@canonical.com>
gobject-introspection (1.46.0-1ubuntu1) xenial; urgency=medium
* re-added support for libraries with no GObject (lp: #1511047)
2015-10-06 - Andreas Henriksson <andreas@fatal.se>
gobject-introspection (1.46.0-1) unstable; urgency=medium
* New upstream release.
* Upload to unstable.
2015-08-31 - Andreas Henriksson <andreas@fatal.se>
gobject-introspection (1.45.4-1) experimental; urgency=medium
[ Emilio Pozuelo Monfort ]
* debian/control.in:
+ Bump glib2.0 requirement to 2.44 per configure.ac.
[ Michael Biebl ]
* Track stable releases in debian/watch.
[ Andreas Henriksson ]
* New upstream development release.
* Bump python-dev build-dependency to >= 2.7 since
configure.ac now checks for python2.7.
* Bump glib build-dep to >= 2.45.3 as per configure.ac
* Update debian/libgirepository-1.0-1.symbols with one addition.
2015-05-27 - Iain Lane <iain@orangesquash.org.uk>
gobject-introspection (1.44.0-1) unstable; urgency=medium
[ Simon McVittie ]
* Use "export VERBOSE=1" to get test failures' logs: VERBOSE=1 is
insufficient
[ Iain Lane ]
* New upstream release 1.44.0.
* Dont_unconditionally_include_config.h_in_regress.c.patch
Dont_unconditionally_include_config.h_in_gimarshallingtests.c.patch: Drop,
applied upstream.
* git_tests_implementation_interface.patch: Delete, it's not applied
any more.
* libgirepository-1.0-1.symbols: New symbol.
2014-10-22 - intrigeri <intrigeri@debian.org>
gobject-introspection (1.42.0-2.2) unstable; urgency=medium
* Non-maintainer upload.
* Dont_unconditionally_include_config.h_in_gimarshallingtests.c.patch:
new patch, similar to the one applied in the last upload, that fixed
the same problem in regress.c only (Closes: #764272)
2014-10-21 - intrigeri <intrigeri@debian.org>
gobject-introspection (1.42.0-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Dont_unconditionally_include_config.h_in_regress.c.patch: new patch,
cherry-picked from upstream (Closes: #764272)
2014-10-01 - Michael Biebl <biebl@debian.org>
gobject-introspection (1.42.0-2) unstable; urgency=medium
* dh_girepository: Add a versioned dependency on libgirepository-1.0-1
(>= 1.41.4-1) to ${gir:Depends} if a gir package installs typelib files
into multiarch libdir. This ensures a multiarch capable version of
libgirepository-1.0-1 is installed to avoid breakage on partial upgrades.

See Also

Package Description
libgirepository1.0-dev_1.46.0-3ubuntu1_amd64.deb Library for handling GObject introspection data (development files)
libgirepository1.0-doc_1.46.0-3ubuntu1_all.deb Library for handling GObject introspection data (documentation)
libgl1-mesa-dev-lts-utopic_10_amd64.deb Transitional package for libgl1-mesa-dev-lts-utopic
libgl1-mesa-dev-lts-vivid_10_amd64.deb Transitional package for libgl1-mesa-dev-lts-vivid
libgl1-mesa-dev-lts-wily_10_amd64.deb Transitional package for libgl1-mesa-dev-lts-wily
libgl1-mesa-dev_11.2.0-1ubuntu2_amd64.deb free implementation of the OpenGL API -- GLX development files
libgl1-mesa-dri-lts-utopic_10_amd64.deb Transitional package for libgl1-mesa-dri-lts-utopic
libgl1-mesa-dri-lts-vivid_10_amd64.deb Transitional package for libgl1-mesa-dri-lts-vivid
libgl1-mesa-dri-lts-wily_10_amd64.deb Transitional package for libgl1-mesa-dri-lts-wily
libgl1-mesa-dri_11.2.0-1ubuntu2_amd64.deb free implementation of the OpenGL API -- DRI modules
libgl1-mesa-glx-lts-utopic_10_amd64.deb Transitional package for libgl1-mesa-glx-lts-utopic
libgl1-mesa-glx-lts-vivid_10_amd64.deb Transitional package for libgl1-mesa-glx-lts-vivid
libgl1-mesa-glx-lts-wily_10_amd64.deb Transitional package for libgl1-mesa-glx-lts-wily
libgl1-mesa-glx_11.2.0-1ubuntu2_amd64.deb free implementation of the OpenGL API -- GLX runtime
libglade2-0_2.6.4-2_amd64.deb library to load .glade files at runtime
Advertisement
Advertisement